Get Detailed Video Search By Id

Given a video_id and text_query, this returns the relevant composites in that video with start and end timestamps plus relevance scores. Call it after the POST v1/search/video endpoint to list all matching moments for the selected video.

Note: This works only for videos ingested with Coactive’s new video data model. If you’re unsure or want to try it, contact Coactive Support.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

dataset_idstringRequired
text_querystringRequired
video_idstringRequired
composite_typestringRequired
limitintegerOptionalDefaults to 10

Response

Successful Response
dataset_idstringformat: "uuid"
text_querystring
video_idstring
composite_typestring
sliceslist of objects
source_pathstring or null

Errors